Bug 418091 - dvipdfmx requires CMap files
dvipdfmx requires CMap files
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: texlive (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-10 08:58 EST by Takanori MATSUURA
Modified: 2013-07-02 19:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-29 08:54:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cid-x.map (176 bytes, text/plain)
2007-12-10 08:58 EST, Takanori MATSUURA
no flags Details
fix code that put ghostscript cmap in conf (2.55 KB, patch)
2008-02-28 07:20 EST, Patrice Dumas
no flags Details | Diff
add ghostscript dependency for dvipdfmx (585 bytes, patch)
2008-02-28 07:21 EST, Patrice Dumas
no flags Details | Diff

  None (edit)
Description Takanori MATSUURA 2007-12-10 08:58:57 EST
Description of problem:
To prepare Japanese PDF file using dvipdfmx, CMap files are required.

To fix the problem,
1. prepare /usr/share/texmf/fonts/map/dvipdfmx/cid-x.map (attached)
2. make symlink (or copy) CMap files from ghoscript dir to
/usr/share/texmf/fonts/cmap like the following:
  ln -s /usr/share/ghostscript/`gs --version| cut -d . -f 1-2`/Resource/CMap/*
$RPM_BUILD_ROOT%{texmfdir}/fonts/cmap

Reference implementation of dvipdfmx is available from
http://t-matsuu.sakura.ne.jp/install-memo/fc/repoview/
Comment 1 Takanori MATSUURA 2007-12-10 08:58:57 EST
Created attachment 282781 [details]
cid-x.map
Comment 2 Jindrich Novy 2007-12-10 10:39:55 EST
Applied, thanks!
Comment 3 Patrice Dumas 2008-02-27 06:13:09 EST
I have a potentially cleaner fix. Could it be possible for you 
to attach a document that may be processed by dvipdfmx only 
if the cmap files are found?
Comment 4 Patrice Dumas 2008-02-28 07:19:48 EST
No response, but I attach my patches anyway. One is for 
texlive-texmf, I have verified that the ghostscript maps
really end in texmf.cnf with this patch, it also removes
the links, and the dependency of texlive-texmf-fonts on ghostscript.

The other patch is for texlive, it simply adds ghostscript as
a dependency for dvipdfmx. This one should certainly be installed
in any case.
Comment 5 Patrice Dumas 2008-02-28 07:20:50 EST
Created attachment 296187 [details]
fix code that put ghostscript cmap in conf
Comment 6 Patrice Dumas 2008-02-28 07:21:23 EST
Created attachment 296188 [details]
add ghostscript dependency for dvipdfmx
Comment 7 Jindrich Novy 2008-02-29 08:54:23 EST
Your fix is now applied, thanks!

Note You need to log in before you can comment on or make changes to this bug.